varying mediump vec2 var_texcoord0;
varying lowp vec4 var_color;

uniform lowp sampler2D texture_sampler;
varying lowp float var_strip_position;

void main()
{        
    //lowp vec2 uv = vec2(var_texcoord0.x, var_texcoord0.y - var_strip_position);   // Vertical 
    //uv = vec2(uv.x, mod(uv.y, 0.9375)); // Repeating vertically    
    lowp vec2 uv = vec2(var_texcoord0.x - var_strip_position, var_texcoord0.y);     // Horizontal   
    uv = vec2(mod(uv.x, 0.9375), uv.y);   // Repeating horizontally 
    
    gl_FragColor = texture2D(texture_sampler, uv) * var_color;
}
